Bug 47861 - passwd reports success even after failure
passwd reports success even after failure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
6.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tomas Mraz
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-07 23:56 EDT by strovato
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-24 13:38:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description strovato 2001-07-07 23:56:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
passwd reports "authentication tokens updated successfully" even though 
shadow file is locked and no changes are made

How reproducible:
Always

Steps to Reproduce:
1. touch /etc/shadow.lock
2. passwd anyuser

	

Actual Results:  passwd program reports "all authentication tokens updated 
successfully"

Expected Results:  passwd program should report an error if it can't get a 
lock on /etc/shadow

Additional info:

I'm using Redhat 6.0, however I have tried upgrading PAM, pwdb, passwd, 
and shadow-utils to 6.2 levels.  No effect on this problem.
Comment 1 strovato 2001-07-08 12:06:05 EDT
Additionally, touching "/etc/passwd.lock" instead of "/etc/shadow.lock" will 
cause passwd to report failure - even though it succeeded!  Exactly the reverse 
of the first problem...
Comment 2 Tomas Mraz 2005-03-24 13:38:43 EST
This doesn't apply to the current Fedora/RHEL distributions the passwd locking
is done using lckpwdf function which uses /etc/.pwd.lock file and it should
handle the locking correctly.

Note You need to log in before you can comment on or make changes to this bug.